// From the software distribution accompanying the textbook
// "A Practical Introduction to Data Structures and Algorithm Analysis,
// Third Edition (C++)" by Clifford A. Shaffer.
// Source code Copyright (C) 2007-2011 by Clifford A. Shaffer.

// Main program for the singly-linked list class

// Include the supplementary classes
#include "book.h"
#include "compare.h"

// Include the node template class
#include "node_FL_DL.h"

// Include the list class
#include "list_DL.h"

// Generic list test commands
#include "ListTest.h"

// Main routine
int main()
{
    DList<double> listOfDoubles;
    listOfDoubles.append(1.0);
    listOfDoubles.append(4.0);
    listOfDoubles.append(3.0);
    listOfDoubles.append(2.0);
    listOfDoubles.moveToStart();
    listOfDoubles.moveToEnd();
    listOfDoubles.length();
    listOfDoubles.prev();
    listOfDoubles.next();
    listOfDoubles.moveToPos(2);
    listOfDoubles.currPos();
    listOfDoubles.getValue();
    listOfDoubles.insert(9.0);
    listOfDoubles.insert(7.0);
    listOfDoubles.remove();
    listOfDoubles.remove();
    lprint(listOfDoubles);
    listOfDoubles.clear();

    // step into destructor
    return 0;
}

